# RedditBase

class `praw.models.reddit.base.``RedditBase`(reddit, _data)

  Base class that represents actual Reddit objects.

  `__init__`(reddit, _data)

    Initialize a RedditBase instance (or a subclass).

    Parameters: | reddit – An instance of `Reddit`.

  `fullname`

    Return the object’s fullname.

    A fullname is an object’s kind mapping like `t3` followed by an underscore and the object’s base36 ID, e.g., `t1_c5s96e0`.

  `parse`(data, reddit)

    Return an instance of `cls` from `data`.

    Parameters:

    - data – The structured data.
    - reddit – An instance of `Reddit`.